Categories
0s y 1s PFC

Preparando el entorno para programar en el N810

Ha salido una versión más reciente del IDE así que lo que cuento está desactualizado, en breve haré un artículo nuevo.

Supongo que éste debería haber sido mi primera entrada sobre el PFC, pero la he ido posponiendo hasta encontrar el que para mi es el método ideal.

Lo voy a explicar para Ubuntu 9.04, que aunque está en beta aún, sólo le queda un mes. Podría utilizar cualquier otra distribución y versión, pero no resultaría tan divertido.

Lo primero es instalar Java, al menos en la beta no encuentra ningún jre, así que me decanto por el de Sun. $ sudo apt-get install sun-java6-jdk y listo.

Lo más sensato es seguir estas instrucciones, ya que yo he probado con la última versión de eclipse (con mi guía para instalar Eclipse 3.4 y Subversion en Ubuntu) pero no ha funcionado.

Una vez instalado Eclipse, hay que configurarlo, aunque lo único que hay que tocar es por si vas a programar con Python, que no es mi caso. De momento.

Ahora vamos a instalar la el Scratchbox y la versión 4.1.2 del SDK , así como el plugin de ScratchBox para eclipse, y ya poder ’emular’ el Nokia N810. Atención: al finalizar la instalación es muy posible que nos acerquemos a los 2GB de espacio usado, con lo que hay que tener espacio suficiente en las particiones. Se instala por defecto en /scratchbox, así que en mi caso tocó redimensionar la partición raíz del sistema.

Por último, tenemos que instalar Xephyr, un simple sudo apt-get install xserver-xephyr debería valer.

Si queremos cacharrear con el GPS y algunas otras cosas, habrá que instalar los paquetes privativos de Nokia, aunque viendo como está evolucionando, no me extrañaría que en una nueva versión del SO, sean sustituidos por alternativas libres.

La instalación es lenta, al fin y al cabo, estamos instalando todo un sistema operativo. Se nos añadirán algunas lineas en nuestro /etc/sources.list que conseguirán que siempre tengamos nuestro N810 ficticio igual de actualizado que el real.

Si queremos tener el los repositorios estos paquetes privativos a los que hacía referencia antes, tendremos que hacer caso a un mensaje que nos lo dice al terminar la instalación. Existe un par de detalles con los que hay que pelearse durante la instalación, problemas con el kernel de Ubuntu, pero no es grave y si falla, el propio script de instalación nos da la solución.

En resumen, muy fácil, pero un poco lento, ya que es necesario descargar e instalar una cantidad importante de programas.

Categories
0s y 1s Análisis

Dell Mini 9, algunas teclas no funcionan

Dell Mini 9

Estas navidades hemos comprado dos Dell Mini 9 en casa. ¿Las razones? Mis padres no tienen ordenador y mi hermana está todo el día en movimiento. ¿Las verdaderas razones? Vienen con Ubuntu y quiero enseñar a usar Linux a mi familia.

En principio, los ves y dices: que monada, pero a mi esa sensación me duró unos minutos. Los dos portátiles vinieron estropeados. Los dos con un fallo por el que no se podía cargar la batería y uno de ellos con un problema en el teclado que hacía que siempre estuviera pulsada la tecla de la flecha izquierda.

En uno de los minis pude solucionar el problema con la batería a base de actualizar BIOS y aplicar configuraciones extrañas, en el otro no pude, porque ni recordaba todo lo que había hecho con el anterior, cosas que sólo me ocurren a mi.

Resultado, llamada al servicio técnico de DELL, nueva batería para cada uno y el de la tecla mal… mal se quedó.

Otra llamada al servicio técnico y reemplazaron las tripas del que quedaba por arreglar. Al principio, todo parecía correcto, pero al poco de usar el teclado nos dimos cuenta de que no podíamos escribir nuestra querida @. Alt Gr y otras teclas no funcionaban. Después de mucho pensar, en uno de los foros de dell encontré la solución.

  • Desenchufar y apagar el portátil
  • Mantener pulsadas las teclas Fn y K
  • Enchufar el portátil
  • Encender
  • Soltar las teclas

Con eso, por fin logramos poder usar nuestro dell mini 9. Ahora sólo me falta descubrir porque usando Ubuntu 8.10 para i386 no funciona el Bluetooth y por qué usando Ubuntu 8.04 lpia sí que funciona. Maravillas de este cacharrín.

Categories
0s y 1s

Configurar VSFTP en Ubuntu

Como comentaba en la entrada Servidor de FTP en Ubuntu, me he decantado por VSFTP entre varios servidores de FTP, no tanto porque lo necesite para acceder a mi ordenador de forma remota, para eso uso SSH, sino para poder hacer uso de las actualizaciones automáticas que proporciona WordPress.

Por desgracia, la configuración que viene por defecto en Ubuntu para VSFTP no es la más adecuada para usarlo con WordPress y las actualizaciones automáticas, así que voy a comentar los cambios que he hecho:

Editar el fichero /etc/vsftpd.conf

# Permitir el acceso a los usuarios de esa máquina.
local_enable=YES

# Permitir las escrituras
write_enable=YES

# Establece una máscara para los permisos menos restrictiva que los que vienen por defecto. Necesario para las actualizaciones automáticas.
local_umask=022

Después de un par de días usando VSFTP me di cuenta de que había algún problema, ya que después de hacer algunas actualizaciones de plugins la web lanzaba avisos de que no tenía permisos para cargar ciertos archivos, así que si estás en ese caso, no te olvides de descomentar la última línea.

Categories
0s y 1s Análisis

Actualizando el servidor a Ubuntu 8.10

Aunque aún quedan 4 días para la salida oficial de Ubuntu 8.10, llamada Intrepid Ibex, aprobeché que el viernes salió la versión candidata de Ubuntu 8.10, para actualizar el servidor.

No soy partidario de meter software inestable en un servidor (o en los ordenadores de la uc3m), pero se daban varios factores:

  • Que soy un yonki de los SOs y me encanta ver las novedades
  • Que me había comprado un disco duro SATA para sustituir al IDE y prefería hacer una instalación limpia antes de copiar el /.
  • Que Ubuntu 8.10 viene con Pidgin 2.5.2, Gnome Do 6.1 y AWN con applets. Programas sin los que ya no puedo vivir.

Ahora mismo no tengo instalado ni Subversion ni Eclipse, pero en breve lo instalaré y comprobaré si hace falta hacer un cambio al manual sobre Ubuntu, Eclipse 3.4 y Subversion.

Lo que si he aprovechado para gestionar las copias de seguridad del portátil y del servidor en el antiguo disco IDE. Gracias a la versión de Intrepid de sbackup ahora es posible que sólo si se puede acceder al directorio de destino se realice la copia. Ideal para que mi portátil mande las copias por ssh a mi disco IDE sólo cuando esté conectado a la misma red local. Dejo un manual de sbackup en ingles enlazado, aunque espero dar más detalles próximamente.

Sobre Ubuntu 8.10 muchas cosas que decir, casi todas buenas.

  • Se han arreglado pequeños fallos como que cada vez que tocabas una partición durante la instalación, te buscaba de nuevo todos los discos, lo que hacía que fuera un poco más lento.
  • Pensaba que las pestañas en Nautilus eran una tontería, pero ya no puedo vivir sin ellas (llevo todo el fin de semana arrastrando cosas de aquí para allá).
  • Gparted gestiona las etiquetas de los volúmenes, así que ahora es muy fácil que te monte tus dispositivos usb en /media/lo que sea y saber dónde va a estar.
  • Por fin f-spot gestiona los duplicados (aunque aún no he probado, son miles de fotos a ordenar). Cómo hacer una copia de seguridad de F-spot.

Aún tengo que hacer algunas cosas, como sincronizar las notas de Tomboy, pero en general estoy muy contento con el cambio, aunque no vaya a tener OpenOffice 3.0 ni Eclipse 3.4, pero intentaré sobrevivir o instalarlos sin apt.

Categories
Análisis

El poder de Canonical: Ubuntu 8.10 y drivers de Ati

Editado el día 19/10/2008 para corregir algunos detalles.

Hasta el día de ayer me preguntaba lo fuerte que es la comunidad Linuxera. Todos sabemos que Microsoft es una de las compañías que más presiona a fabricantes y hasta ahora no tenía datos para comparar con los sistemas del pingüino.

Hasta ayer. Ayer se publicó la versión 8.10 de los drivers de las tarjetas gráficas de Ati en Linux (comprada no hace tanto por AMD) y maravillas de la vida, en los repositorios de Ubuntu aparecen a la vez que el lanzamiento oficial.

Edición: Realmente lo que aparece en los respositorios no es la versión 8.10 del driver, que sale a la luz de manera oficial dos días después, sino una versión exclusiva para arreglar los problemas de Ubuntu.

Yo, que soy una persona que me quedo con lo que me apetece, prefiero comentar esta jugada que la calidad de los drivers (lo haré dentro de poco), que ya hice una entrada al respecto y a los 5 minutos me cargué la base de datos.

Esta versión de los drivers de Ati, la de Ubuntu, que curiosamente sigue la numeración de las versiones de Ubuntu (primer número para el año, punto y segundo número para el mes), viene a solucionar un problema de compatibilidad con la ABI de Xserver 1.5, que es la versión incorporada a la serie 7.4 de las X, que no permitía sacar todo el partido a las gráficas con distribuciones recientes.

Hay varias distribuciones que ya llevan la versión ‘maldita’ de Xserver, la más conocida Fedora, la distribución ‘comunitaria’ de Red Hatintr. Fedora 9 se lanzó en Mayo y hasta ayer no podía tener aceleración gráfica 3D con Ati. Y se supone que Fedora debe tener el apoyo (entendido como presión) de Red Hat, y que supongo que le habrán dicho a la gente de Ati que se pusieran las pilas, pero no.

Sin embargo, se acerca la fecha de lanzamiento de Ubuntu 8.10 y aparece la versión que necesita Ubuntu a la vez en la web de Ati y en la de Ubuntu. +1 en presión para Canonical.

Otro signo que me da la impresión de que el monstruo se va volviendo más grande es que ayer también salió la versión 10 de Flash. Ese formato que odio pero que hoy se ha hecho imprescindible (veremos si el estándar de vídeo de HTML 5 logra que haya otras maneras de ver vídeo en la web). Pues la gente de Adobe ha sacado, por primera vez, un paquete .deb y no dice nada de Debian, no, dice Ubuntu 8.04+.

Otros productos importantes con ‘soporte’ para Ubuntu son Skype o el navegador Opera.

Poco a poco la cuota de mercado de los GNU/Linux va aumentando y con ello, el interés de las empresas en dar soporte.

Categories
0s y 1s

Programando php en Eclipse

Curva de aprendizajeHace un par de entradas escribía sobre como tener instalado Eclipse 3.4 y Subversion en Ubuntu. Los necesitaba para programar una web que estoy haciendo en php, aunque le pese a Jesús.

Me he decido por php, porque ya he trabajado con el lenguaje antes y me parece muy fácil de usar y con una curva de aprendizaje muy pronunciada.

Cómo entre otros propósitos tengo el de aprender a utilizar eclipse con mucha soltura, no me queda más remedio que instalar algún añadido (aka plugin) para poder programar en php.

Es tan fácil como ir la web sobre instalación de phpeclipse y seguir las instrucciones.

¡FALSO! A mi no me funcionó y he tenido que añadir la línea:

http://update.phpeclipse.net/update/nightly

en vez de la que recomienda en la web:

http://update.phpeclipse.net/update/stable/1.2.x

Aparte de programar con phpeclipse, también dedico mi vida a curarme de un resfriado que me tiene en casa encerrado.

Categories
0s y 1s

Ubuntu, Eclipse 3.4 y Subversion

    Edicciones Sábado 1-11-2008

  • También, como es lógico, necesitarás tener java instalado. Yo suelo utilizar sun-java6-jdk
  • Comento en caso necesario las diferencias entre Ubuntu 8.10 y Ubuntu 8.04, aunque son procesos extremadamente parecidos.

Éste último año he dejado de lado Eclipse para hacer mis prácticas con Netbeans. Mucho ha pasado ya desde mi primer encuentro con el IDE de Sun en el que todo me parecía que estaba mal situado y que no funcionaba correctamente. Ahora mismo me encuentro muy cómodo trabajando con él.

Por suerte o por desgracia, a los chicos de Google les gusta Eclipse y para programar aplicaciones para Android hace falta utilizar la versión 3.3 o la versión 3.4. ¿Adivinas el problema? Ubuntu 8.04 (y las versión 8.10 también) trae/traerá la antiquísima versión 3.2 de eclipse.

Nos ponemos manos a la obra y nos vamos a la página de descargas de eclipse. Una vez allí seleccionamos la que más nos interese, yo he optado por la versión de de 162 MB que lo trae todo. Los que no estén habituados a salirse del apt-get install, entre los que me encuentro, se preguntarán que hacemos con ese archivo tan feo.

Los pasos que comento no van a ser un copia/pega porque creo que si no sabes lo que estoy diciendo, no deberías estar tocando estas cosas.

Descomprimimos el archivo y lo movemos al directorio /opt (necesitaremos permisos de root). A los que les guste cacharrear reconocerán este directorio porque es dónde se instala por omisión el Google Earth.

Hacemos un enlace de /opt/eclipse/eclipse a /usr/local/bin/ con lo que ya podremos ejecutarlo con permisos de usuario común desde la consola con un eclipse o bien creando una entrada para el menú o dónde nos apetezca poner un acceso directo.

Otra cosa que he aprendido este año es que o usas un sistema de control de versiones o estás muerto, al menos si tu proyecto es grande. Así que a instalar un servidor de subversion en mi máquina para no depender de la ayuda extranjera (aka del hosting de otros amigos).

Lo primero será instalar subversion (los paquetes subversion y subversion-tools), el módulo para apache libapache2-svn (si no tienes apache también deberías instalarlo).

Nos creamos un grupo llamado subversion (Sistema -> Administración -> Usuarios y Grupos) y al usuario que estés instalado en darle acceso al subversion, lo metes en el grupo.

Desde consola: htpasswd2 -c /etc/apache2/dav_svn.passwd user1 dónde user1 lo cambias por el usuario que quieras que tenga acceso, con este comando le das una clave de acceso al subversion.
En Ubuntu 8.10 habrá que usar htpasswd2 -c /etc/apache2/dav_svn.passwd user1.

Si necesitas darle acceso a más usuarios prueba con este comando htpasswd2 /etc/apache2/dav_svn.passwd user2, pero sustituyendo user2.

Lista de comandos para crear el directorio de trabajo de subversion.

sudo mkdir /home/svn
sudo svnadmin create /home/svn
sudo chown -R www-data:subversion /home/svn/
sudo chmod -R 770 /home/svn/

Aquí la parte más aburrida:

sudo gedit /etc/apache2/mods-available/dav_svn.conf
y escribe:

##
# SVN
#
<Location /svn>

DAV svn
SVNPath /home/svn

AuthType Basic
AuthName "Repositorio Subversion del proyecto"
AuthUserFile /etc/apache2/dav_svn.passwd

Require valid-user

</Location>

¡Ya casi lo tenemos! Nos falta instalar el plugin de subversion para eclipse. Es tan fácil como seguir los pasos de la web de subclipse con la salvedad de que debemos instalar también SVNKit adapter debido a que la versión del cliente de subversion de Ubuntu 8.04 no le gusta al subclipse, cosas de la vida.

Ya deberías tener tu sistema con Eclipse y Subversión corriendo, no ha sido tan duro, ¿o sí?

Extra:

Categories
0s y 1s

Servidor de FTP en Ubuntu

Si eres de los que tienes tu propio servidor en casa para alojar un blog tipo wordpress quizá te hayas encontrado con la función automática de actualizar plugins y el propio wordpress.

Para poder utilizarla necesitas tener un servidor de FTP en tú máquina. Yo me decanto por instalar VSFTP, más que nada porque no necesita ningún trabajo para configurarlo. Para instalarlo sudo apt-get install vsftpd y listo.

El único problemilla que nos encontraremos será que para acceder a los archivos del directorio /var/www necesitamos hacerlo con el usuario root y por seguridad no podremos. ¿Cómo lo arreglamos? Muy fácil, abrimos el archivo /etc/ftpusers con sudo gedit /etc/ftpusers y comentamos o borramos la línea de root, para el que no sepa lo que es comentar, vale con poner una almohadilla (#) delante de la palabra root.

Una vez hecho, ya podremos actualizar nuestro wordpress de manera automática.

Como medida de precaución recomendaría dejar el fichero /etc/ftpusers como estaba una vez que hayamos terminado, incluso desactivar el servidor ftp si lo podemos arrancar cuando lo necesitemos vía ssh, por ejemplo.

* Nota: es la segunda vez que escribo la entrada, la anterior era más interesante, pero me cargué la base de datos poca antes de publicarla. Así que próximamente… cómo hacer copias de seguridad en tu servidor Ubuntu.